ATRUN(8)

NAME
atrun - run jobs queued for later execution

SYNOPSIS
atrun [-l load_avg] [-d]

DESCRIPTION
atrun runs jobs queued by at(1). Root's crontab(5) must contain the line:

    */10	*	*	*	*	/usr/libexec/atrun

so that atrun gets called every ten minutes.

At every invocation, every job in lowercase queues whose starting time has passed is started. A maximum of one batch job (denoted by uppercase queues) is started each time atrun is invoked.

OPTIONS

-l load_avg
    Specifies a limiting load factor, over which batch jobs should not be run, instead of the compiled-in value of 1.5.

-d  Debug; print error messages to standard error instead of using syslog(3).

WARNINGS
For atrun to work, a cron(8) daemon needs to be running.

FILES
/var/at/spool
    Directory containing output spool files
/var/at/jobs
    Directory containing job files

SEE ALSO
at(1), crontab(1), syslog(3), crontab(5), cron(8)

AUTHORS
Thomas Koenig <ig25@rz.uni-karlsruhe.de>

BUGS
The functionality of atrun should be merged into cron(8).